package com.yanzuoguang.cloud.aop;

import com.yanzuoguang.util.exception.CodeException;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * 虚拟拦截类
 * @author 颜佐光
 */
public class HttpAspectUtil {

    /**
     * 获取 http request
     *
     * @return
     */
    public static HttpServletRequest getRequest() {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        if (attributes == null) {
            throw new CodeException("监视错误");
        }
        return attributes.getRequest();
    }

    /**
     * 获取 http request url
     *
     * @return
     */
    public static String getHttpRequestUrl() {
        return getRequest().getServletPath();
    }
}
